MongoLog::setCallback
MongoLog::setModule
MongoLog
PHP Manual

# MongoLog::setLevel

Sets logging level

### Description

public static void MongoLog::setLevel ( int `$level` )

This function can be used to set how verbose logging should be and the types of activities that should be logged. Use the constants described in the MongoLog section with bitwise operators to specify levels.

`<?php
// first, turning on logging for a module
MongoLog::setModule(MongoLog::POOL);
// log messages of every level
MongoLog::setLevel(MongoLog::ALL);
// log warnings and info
MongoLog::setLevel(MongoLog::WARNING|MongoLog::INFO);
// log everything except fine activity
MongoLog::setLevel(MongoLog::ALL & (~MongoLog::FINE));
?>`

Note that you must also call MongoLog::setModule to choose what part of the driver to log.

### Parameters

`level`

  The levels you would like to log.